- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QDomProcessingInstruction Class Reference

Search for all occurrences

## Detailed Description

Definition at line 648 of file qdom.h.

`#include <qdom.h>`

Inheritance diagram for QDomProcessingInstruction:
[legend]

List of all members.

## Public Member Functions
| QDomProcessingInstruction ()
| QDomProcessingInstruction (const QDomProcessingInstruction &x)
QDomProcessingInstruction & | operator= (const QDomProcessingInstruction &)
QString | target () const
QString | data () const
void | setData (const QString &d)
QDomNode::NodeType | nodeType () const
## Friends
class | QDomDocument
class | QDomNode

## Constructor & Destructor Documentation

QDomProcessingInstruction | ( |  | ) |

QDomProcessingInstruction | ( | const QDomProcessingInstruction & | x | ) |

## Member Function Documentation

QDomProcessingInstruction& operator= | ( | const QDomProcessingInstruction & |  | ) |

QString target | ( |  | ) | const

Search for all occurrences

QString data | ( |  | ) | const

Search for all occurrences

void setData | ( | const QString & | d | ) |

Search for all occurrences

QDomNode::NodeType nodeType | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QDomNode.

Definition at line 663 of file qdom.h.

    { return ProcessingInstructionNode; }

## Friends And Related Function Documentation

friend class QDomDocument `[friend]`

Search for all occurrences

Reimplemented from QDomNode.

Definition at line 668 of file qdom.h.

friend class QDomNode `[friend]`

Search for all occurrences

Definition at line 669 of file qdom.h.

The documentation for this class was generated from the following file:

- QtXml/qdom.h

QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction
QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction QDomProcessingInstruction